FORUMS: list search recent posts

install problem:

COW Forums : Apple Final Cut Pro Legacy

<< PREVIOUS   •   FAQ   •   VIEW ALL   •   PRINT   •   NEXT >>
gerry capelle
install problem:
on Apr 11, 2013 at 10:38:23 pm

After years on the shelf have re-installed FCP 4 into a newer iMac 10.6.8. No ext Firewire NTSC as yet and have switched AGP to PCI. Soundtrack and LiveType crash on opening. What am I missing?


Return to posts index

Shane Ross
Re: install problem:
on Apr 11, 2013 at 11:21:36 pm

FCP 4 isn't compatible with Intel Macs. The first version that was, was FCP 5.1...also called the "Crossgrade," as it worked on PowerPC Macs (G3, G4, G5) and the newer Intel Macs.

I'm quite surprised that you were even able to install it.

Shane
Little Frog Post
Read my blog, Little Frog in High Def


Return to posts index

Ryan Holmes
Re: install problem:
on Apr 12, 2013 at 12:24:13 am

[Shane Ross] "I'm quite surprised that you were even able to install it."

+1

@Gerry You do realize that FCP4 was released in 2003? It's 10 year old software! Modern Apple OS software/hardware won't even support it. You would need a computer from 2005 (at the latest) in order to run it as that was the last of the PowerPC machines, before Apple switched over to Intel CPU's.

Ryan Holmes
http://www.ryanholmes.me
@CutColorPost


Return to posts index


gerry capelle
Re: install problem:
on Apr 12, 2013 at 8:22:36 pm

Thanks for the heads up. FCP came with an inherited G4. I had no use for it till now and re-installed it in iMac. I've started Lynda tutorials, FCP imports files and so far it seems operational. I'm doing a 4 min. Kickstarter vid with pan and trucking stills, live video, SFX and synched narration. Should I expect snags? I haven't used iMovie either but thought it couldn't handle accuracy. I can live without Livetype but, considering what I've told you, is there a trick I might try to boot Soundtrack?


Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2017 CreativeCOW.net All Rights Reserved
[TOP]